# Class FileStorageService | EchoHub Documentation

# Class FileStorageService

Namespace
  EchoHub.Server.Services

Assembly
  EchoHub.Server.dll

    public class FileStorageService

Inheritance
  object
  FileStorageService

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### FileStorageService(IConfiguration)

    public FileStorageService(IConfiguration configuration)

#### Parameters

`configuration` IConfiguration

## Methods

### DeleteFile(string)

    public void DeleteFile(string fileId)

#### Parameters

`fileId` string

### GetFilePath(string)

    public string? GetFilePath(string fileId)

#### Parameters

`fileId` string

#### Returns

string

### SaveFileAsync(Stream, string)

    public Task<(string fileId, string filePath)> SaveFileAsync(Stream stream, string fileName)

#### Parameters

`stream` Stream
`fileName` string

#### Returns

Task<(string fileId, string filePath)>